package com.clx.performance.dao.vehiclewarn;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.vehiclewarn.VehicleWarnConfigMapper;
import com.clx.performance.model.vehiclewarn.VehicleWarnConfig;
import com.clx.performance.param.pc.vehiclewarn.PageVehicleWarnConfigParam;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

import java.util.List;

public interface VehicleWarnConfigDao extends BaseDao<VehicleWarnConfigMapper, VehicleWarnConfig, Integer> {

    boolean updateConfig(VehicleWarnConfig item);
    boolean updateStatus(VehicleWarnConfig item);
    boolean updateDelete(VehicleWarnConfig item);

    Optional<VehicleWarnConfig> findById(Integer id);
    Optional<VehicleWarnConfig> findByName(String name);
    List<VehicleWarnConfig> listByWarnType(Integer warnType);
    IPage<VehicleWarnConfig> pageByParam(PageVehicleWarnConfigParam param);


}
